<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Christmas Panel
| Version: 1.02
| Filename: christmas_panel.php
| Author: Fangree Productions
| Developers: Fangree_Craig 
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| Snowstorm Script 
| Copyright (c) 2003, Scott Schiller (schillmania.com)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."christmas_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."christmas_panel/locale/".$settings['locale'].".php";
    } else {
	include INFUSIONS."christmas_panel/locale/English.php";
    }
	
//SETTINGS //////////////////////////////////////////////
$snow ="1";           //  1 On 0 Off Snow
$advent ="1";        //     1 On 0 Off Advent
$countdown ="1";     //     1 On 0 Off Countdown
//SETTINGS END ///////////////////////////////////////////////////////

if ($snow =='1' || $advent =='1' || $countdown =="1" ) {

if ($snow =='1') {
	add_to_head("<script type='text/javascript' src='".INFUSIONS."christmas_panel/snow.js'></script>");
	}
   $pa_data = dbarray(dbquery("SELECT * FROM ".DB_PANELS." WHERE panel_filename='christmas_panel'"));
if($pa_data['panel_side'] == 2 || $pa_data['panel_side'] == 3) {

//Center Panel
opentable($locale['spn001']);
echo "<div class='' style='text-align:center;'>\n";
include INFUSIONS."christmas_panel/countdown.php";
if ($snow =='1') {
echo "<br /><a href=\"javascript:snowStorm.randomizeWind()\">".$locale['spn002']."</a> | <a href=\"javascript:snowStorm.toggleSnow()\">".$locale['spn003']."</a>\n"; 
}   
echo "</div>\n";
closetable();

}else{

//Side Panel
openside($locale['spn001']);
echo "<div class='side-small' style='text-align:center;'>\n";
include INFUSIONS."christmas_panel/countdown.php";
if ($snow =='1') {
echo "<br /><a href=\"javascript:snowStorm.randomizeWind()\">".$locale['spn002']."</a> | <a href=\"javascript:snowStorm.toggleSnow()\">".$locale['spn003']."</a>\n"; 
}   
echo "</div>\n";
closeside();
}
}

?>

